import 'dart:async';
import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:zhiying_base_widget/dialog/global_dialog/intellect_search_goods_dialog/model/Intellect_search_set_model.dart';
import 'package:zhiying_base_widget/utils/contants.dart';
import 'package:zhiying_comm/util/shared_prefe_util.dart';

import 'intellect_search_goods_dialog.dart';
import 'intellect_search_no_goods_dialog.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:string_validator/string_validator.dart';

class IntellectCreate {
  static IntellectSearchSetModel _setModel;

  ///判断规则
  static checkAndCreate(AppLifecycleState state, BuildContext context) async {
    if (state == AppLifecycleState.resumed &&
        !Constants.isShowIntellectDialog) {
      _requestSetData(context);
    }
  }

  ///请求设置参数
  static _requestSetData(BuildContext context) async {
    if (_setModel == null) {
      var param = {"webId": ""};

      //请求参数
      NetUtil.request('/api/v1/cfg/app_clipboard', params: param,
          onSuccess: (data) async {
        print("设置参数" + data.toString());

        ///检查是否已缓存过设置信息
        String result = await SharedPreferencesUtil.getStringValue(
            Constants.spIsCacheSetModel);
        _setModel = IntellectSearchSetModel.fromJson(data);
        if (result.isEmpty) {
          validate(context, _setModel);
        }
        SharedPreferencesUtil.setNetCacheResult(
            Constants.spIsCacheSetModel, json.encode(data));
      });

      ///拿缓存数据
      var cacheData = await SharedPreferencesUtil.getNetCacheResult(
          Constants.spIsCacheSetModel);
      ///如果存在缓存直接进入验证阶段
      if (cacheData.isNotEmpty) {
        _setModel = IntellectSearchSetModel.fromJson(cacheData);
        validate(context, _setModel);
      }
    } else {
      validate(context, _setModel);
    }
  }

  static checkAndCreateFirst(BuildContext context) async {
    ///检查规则
    IntellectCreate.checkAndCreate(AppLifecycleState.resumed, context);
  }

  ///请求数据打开弹窗
  static requestDialog(BuildContext context, String content) async {
    Constants.isShowIntellectDialog = true;
    await showDialog(context: context, child: IntellectSearchGoodsDialog());
    Constants.isShowIntellectDialog = false;
  }

  ///检查字段是否被监听
  static void validate(
      BuildContext context, IntellectSearchSetModel setModel) async {
    ClipboardData data = await Clipboard.getData(Clipboard.kTextPlain);
    String content = data.text;
    //是否监听
    if (setModel.state != "1") {
      return;
    }

    ///长度大小限制
    if (setModel.keywordLimitState == "1" &&
            (int.tryParse(setModel.keywordLimitMin) < content.length) ||
        (int.tryParse(setModel.keywordLimitMax) > content.length)) {
      return;
    }

    //是否纯数字
    if (setModel.keywordNum == "1" && isNumeric(content)) {
      return;
    }

    ///是否纯字母
    if (setModel.keywordAlpha == "1" && isAlpha(content)) {
      return;
    }

    ///是否仅包含数字和字母
    if (setModel.keywordAlphanum == "1" && isAlphanumeric(content)) {
      return;
    }

    ///是否包含某个排除词
    if (setModel.exclude.length > 0) {
      for (var item in setModel.exclude) {
        if (contains(content, item)) {
          return;
        }
      }
    }
    requestDialog(context, content);
  }
}
