import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:zhiying_base_widget/widgets/home/home_quick_entry/cached_network_image_util.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class IntellectSearchNoGoodsDialog extends StatefulWidget {
  @override
  _IntellectSearchNoGoodsDialogState createState() =>
      _IntellectSearchNoGoodsDialogState();
}

class _IntellectSearchNoGoodsDialogState
    extends State<IntellectSearchNoGoodsDialog> {
  TextEditingController _textEditingController;

  @override
  void initState() {
    _textEditingController = TextEditingController();
    _getClipBoardData();
    super.initState();
  }

  ///获取粘贴板内容
  _getClipBoardData() async {
    ClipboardData data = await Clipboard.getData(Clipboard.kTextPlain);
    _textEditingController.text = data.text;
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Stack(
            children: <Widget>[
              Container(
                margin: EdgeInsets.only(top: 38.h, left: 92.w, right: 92.w),
                padding: EdgeInsets.only(
                    top: (38 + 15).h, left: 30.w, right: 30.w, bottom: 48.h),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(16)),
                width: double.infinity,
                child: Column(
                  children: <Widget>[_buildTopItem(), _buildBottomItem()],
                ),
              ),
              Container(
                height: 76.h,
                child: Center(
                    child: Container(
                  color: Colors.red,
                  height: 76.h,
                  width: 216.w,
                  child: CachedNetworkImage(
                    imageUrl: "",
                  ),
                )),
              ),
            ],
          )
        ],
      ),
    );
  }

  _buildTopItem() {
    return Container(
      decoration: BoxDecoration(),
      child: Column(
        children: <Widget>[
          Text(
            "猜你要搜索以下商品",
            style: TextStyle(color: Colors.red, fontSize: 30.sp),
          ),
          Container(
            margin: EdgeInsets.only(top: 12),
            decoration: BoxDecoration(
                color: Colors.deepOrangeAccent,
                borderRadius: BorderRadius.circular(10)),
            child: TextField(
              controller: _textEditingController,
              textAlign: TextAlign.start,
              decoration: InputDecoration(
                contentPadding: EdgeInsets.only(left: 10, top: 10, bottom: 4),
                border: InputBorder.none,
              ),
              maxLines: 5,
            ),
          )
        ],
      ),
    );
  }

  _buildBottomItem() {
    return Column(
      children: <Widget>[
        SizedBox(
          height: 24,
        ),
        Row(
          children: <Widget>[
            Expanded(
                child: Container(
              decoration: BoxDecoration(
                  color: Colors.red, borderRadius: BorderRadius.circular(50)),
              child: Center(
                  child: Padding(
                padding: const EdgeInsets.all(12.0),
                child: Text(
                  "立即搜索 ",
                  style: TextStyle(color: Colors.white, fontSize: 24.sp),
                ),
              )),
            ))
          ],
        ),
        SizedBox(
          height: 16,
        ),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: <Widget>[
            Container(
              height: 1,
              width: 137.w,
              color: Colors.deepOrange,
            ),
            Text("搜索平台"),
            Container(
              height: 1,
              width: 137.w,
              color: Colors.deepOrange,
            ),
          ],
        ),
        SizedBox(
          height: 24,
        ),
        Container(
          height: 100.w,
          child: ListView.builder(
              scrollDirection: Axis.horizontal,
              shrinkWrap: true,
              itemCount: 10,
              itemBuilder: _buildBottomListItem),
        )
      ],
    );
  }

  Widget _buildBottomListItem(BuildContext context, int index) {
    return Container(
      margin: EdgeInsets.only(left: 11,right: 11),
      child: Column(
        children: <Widget>[
          Container(
            color: Colors.deepOrange,
            child: Image.network(
              "",
              width: 60.w,
              height: 60.w,
              fit: BoxFit.fill,
            ),
          ),
          SizedBox(
            height: 2,
          ),
          Text(
            "淘宝",
            style: TextStyle(fontSize: 22.sp),
          )
        ],
      ),
    );
  }
}
