import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:provider/provider.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';
import 'package:zhiying_base_widget/dialog/select_date_ym_dialog/select_date_ym_dialog.dart';
import 'package:zhiying_base_widget/pages/bil_detail_page/bil_detail_page_bloc.dart';
import 'package:zhiying_base_widget/pages/main_page/notifier/main_page_bg_notifier.dart';
import 'package:zhiying_base_widget/pages/main_page/notifier/main_page_notifier.dart';
import 'package:zhiying_base_widget/utils/contants.dart';
import 'package:zhiying_base_widget/widgets/others/mine_header_bg_widget.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_comm/util/base_bloc.dart';
import 'package:zhiying_comm/util/custom_sliver_persistent_header_delegate.dart';

class BilDetailPage extends StatefulWidget {
  final Map<String, dynamic> data;

  const BilDetailPage(this.data, {Key key}) : super(key: key);

  @override
  _BilDetailPageState createState() => _BilDetailPageState();
}

class _BilDetailPageState extends State<BilDetailPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Color(0xfff9f9f9),
      body: MultiProvider(
        providers: [
          ChangeNotifierProvider.value(value: MainPageNotifier()),
          ChangeNotifierProvider.value(value: MainPageBgNotifier()),
        ],
        child: BlocProvider<BilDetailPageBloc>(
          bloc: BilDetailPageBloc(),
          child: BilDetailPageContainer(data: widget.data),
        ),
      ),
    );
  }
}

class BilDetailPageContainer extends StatefulWidget {
  final Map<String, dynamic> data;

  const BilDetailPageContainer({Key key, this.data}) : super(key: key);

  @override
  _BilDetailPageContainerState createState() => _BilDetailPageContainerState();
}

class _BilDetailPageContainerState extends State<BilDetailPageContainer> {
  BilDetailPageBloc _bloc;

  String showDate;

  @override
  void initState() {
    _bloc = BlocProvider.of<BilDetailPageBloc>(context);
   // showDate=DateFormat(DateFormat.YEAR_MONTH).parse(DateTime.now());
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return StreamBuilder(
      builder: (context, sny) {
        return Scaffold(
          appBar: AppBar(
            centerTitle: true,
            title: Text("明细"),
          ),
          body: Container(
            child: ListView(
              shrinkWrap: true,
              children: <Widget>[
                _buildType(),
              ],
            ),
          ),
        );
      },
    );
  }

  _buildType() {
    return Row(
      children: <Widget>[
        SizedBox(width: 12.5),
        InkWell(
          onTap: (){
            ///显示日期选择弹窗
            _selectDate();
          },
          child: Padding(
            padding: const EdgeInsets.only(top: 8,bottom: 8),
            child: Text("2020-08"),
          ),
        ),
        Icon(Icons.arrow_drop_down),
        Expanded(
            child: Container(
          height: 50,
          child: ListView.builder(
              scrollDirection: Axis.horizontal,
              shrinkWrap: true,
              itemCount: 3,
              itemBuilder: (context, index) {
                return Container(
                  margin:
                      EdgeInsets.only(top: 10, left: 8, right: 8, bottom: 10),
                  decoration: BoxDecoration(
                      color: Colors.grey[200],
                      borderRadius: BorderRadius.circular(50)),
                  child: Padding(
                    padding: const EdgeInsets.only(left: 16, right: 16),
                    child: Center(
                        child: Text(
                      "推广",
                      style: TextStyle(color: Colors.grey),
                    )),
                  ),
                );
              }),
        ))
      ],
    );
  }

  void _selectDate() {
    showDialog(context: context, builder: (context)=>SelectDateYMDialog());
  }
}
